Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.util.apache.avalon.cornerstone.services.scheduler
Class SimpleTimeScheduler

    java.lang.Object
      fr.gouv.culture.util.apache.avalon.cornerstone.services.scheduler.SimpleTimeScheduler

All Implemented Interfaces:
  TimeScheduler

public class SimpleTimeScheduler
extends java.lang.Object
implements TimeScheduler

Created by IntelliJ IDEA. User: rpandey Date: Jun 4, 2003 Time: 1:07:11 PM To change this template use Options | File Templates.

Field Summary
`protected java.util.Hashtable` | `targets`
`protected java.util.Hashtable` | `triggers`

Fields inherited from interface fr.gouv.culture.util.apache.avalon.cornerstone.services.scheduler.TimeScheduler
`ROLE`

Constructor Summary
`SimpleTimeScheduler()`

Method Summary
`void` | `addTrigger(java.lang.String name, TimeTrigger trigger, Target target)` Schedule a time based trigger.
`protected void` | `launchScheduleThread(java.lang.String triggerName)`
`void` | `removeTrigger(java.lang.String name)` Remove a scheduled trigger by name.
`void` | `resetTrigger(java.lang.String name)` Force a trigger time to be recalculated.
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### triggers

    protected java.util.Hashtable triggers

### targets

    protected java.util.Hashtable targets

Constructor Detail

### SimpleTimeScheduler

    public SimpleTimeScheduler()

Method Detail

### addTrigger

    public void addTrigger(java.lang.String name,
                           TimeTrigger trigger,
                           Target target)

  Description copied from interface: `TimeScheduler`
  Schedule a time based trigger. Note that if a TimeTrigger already has same name then it is removed.

  Specified by:
    `addTrigger` in interface `TimeScheduler`
  Parameters:
    `name` - the name of the trigger
    `trigger` - the trigger
    `target` - the target

### removeTrigger

    public void removeTrigger(java.lang.String name)
                       throws java.util.NoSuchElementException

  Description copied from interface: `TimeScheduler`
  Remove a scheduled trigger by name.

  Specified by:
    `removeTrigger` in interface `TimeScheduler`
  Parameters:
    `name` - the name of the trigger
  Throws:
    `java.util.NoSuchElementException` - if no trigger exists with that name

### resetTrigger

    public void resetTrigger(java.lang.String name)
                      throws java.util.NoSuchElementException

  Description copied from interface: `TimeScheduler`
  Force a trigger time to be recalculated.

  Specified by:
    `resetTrigger` in interface `TimeScheduler`
  Parameters:
    `name` - the name of the trigger
  Throws:
    `java.util.NoSuchElementException` - if no trigger exists with that name

### start

    public void start()

  Specified by:
    `start` in interface `TimeScheduler`

### launchScheduleThread

    protected void launchScheduleThread(java.lang.String triggerName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.